import mimetypes
import nautilus
import os
import urllib



def process(dir_name, paths):
    """Add every file in the directory to the list."""
    content = os.listdir(dir_name)
    for file_name in content:
        path = os.path.join(dir_name, file_name)
        if os.path.isdir(path):
            supported = process(path, paths)
        else:
            paths.append(path)

    return paths


class SendGmailExtension(nautilus.MenuProvider):
    def __init__(self):
        self.file_names = []


    def menu_activate_cb(self, menu, paths):
        """Called when the user selects the menu. Send the files to Gmail."""
        os.spawnlp(os.P_NOWAIT, "send-to-gmail", "send-to-gmail", " ".join(paths))


    def get_file_items(self, window, files):
        """Called when the user selects a file in Nautilus."""

        paths = []
        for f in files:
            if f.is_directory():
                paths = process(urllib.unquote(f.get_uri()[7:]), paths)
            else:
                path = urllib.unquote(f.get_uri()[7:])
                paths.append(path)


        item = nautilus.MenuItem("NautilusPython::play_mplayer_item",
                                 "Send to Gmail" ,
                                 "Send to Gmail",
                                 "nautilus-send-gmail")
        item.connect("activate", self.menu_activate_cb, paths)
        return item,









